Bug 1007223 - [abrt] udisks2-2.1.1-1.fc20: g_dbus_object_get_interface: Process /usr/lib/udisks2/udisksd was killed by signal 11 (SIGSEGV)
[abrt] udisks2-2.1.1-1.fc20: g_dbus_object_get_interface: Process /usr/lib/ud...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udisks2 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:5a3631d1d401ec350b33523ec5c...
:
: 903858 1047571 (view as bug list)
Depends On:
Blocks: F20FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-09-12 03:11 EDT by Asif Ali Rizvan
Modified: 2015-03-03 18:06 EST (History)
30 users (show)

See Also:
Fixed In Version: udisks2-2.1.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1049952 (view as bug list)
Environment:
Last Closed: 2014-01-17 23:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.75 KB, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: cgroup (145 bytes, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: core_backtrace (19.19 KB, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: dso_list (2.28 KB, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: environ (115 bytes, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: maps (12.06 KB, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: open_fds (1.24 KB, text/plain)
2013-09-12 03:11 EDT, Asif Ali Rizvan
no flags Details
File: proc_pid_status (895 bytes, text/plain)
2013-09-12 03:12 EDT, Asif Ali Rizvan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 72956 None None None Never

  None (edit)
Description Asif Ali Rizvan 2013-09-12 03:11:27 EDT
Description of problem:
mouting iso image crashes udisks using nautilus or disk mounter

Version-Release number of selected component:
udisks2-2.1.1-1.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.11.0-300.fc20.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_dbus_object_get_interface at gdbusobject.c:144
 #1 udisks_object_peek_block at udisks-generated.c:31007
 #2 wait_for_loop_object at udiskslinuxmanager.c:233
 #3 udisks_daemon_wait_for_object_sync at udisksdaemon.c:884
 #4 handle_loop_setup at udiskslinuxmanager.c:450
 #5 ffi_call_unix64 at ../src/x86/unix64.S:76
 #6 ffi_call at ../src/x86/ffi64.c:522
 #7 g_cclosure_marshal_generic at gclosure.c:1454
 #10 g_signal_emitv at gsignal.c:3063
 #11 _udisks_manager_skeleton_handle_method_call at udisks-generated.c:1305

Potential duplicate: bug 903858
Comment 1 Asif Ali Rizvan 2013-09-12 03:11:32 EDT
Created attachment 796651 [details]
File: backtrace
Comment 2 Asif Ali Rizvan 2013-09-12 03:11:35 EDT
Created attachment 796652 [details]
File: cgroup
Comment 3 Asif Ali Rizvan 2013-09-12 03:11:38 EDT
Created attachment 796653 [details]
File: core_backtrace
Comment 4 Asif Ali Rizvan 2013-09-12 03:11:41 EDT
Created attachment 796654 [details]
File: dso_list
Comment 5 Asif Ali Rizvan 2013-09-12 03:11:44 EDT
Created attachment 796655 [details]
File: environ
Comment 6 Asif Ali Rizvan 2013-09-12 03:11:47 EDT
Created attachment 796656 [details]
File: exploitable
Comment 7 Asif Ali Rizvan 2013-09-12 03:11:50 EDT
Created attachment 796657 [details]
File: limits
Comment 8 Asif Ali Rizvan 2013-09-12 03:11:54 EDT
Created attachment 796658 [details]
File: maps
Comment 9 Asif Ali Rizvan 2013-09-12 03:11:57 EDT
Created attachment 796659 [details]
File: open_fds
Comment 10 Asif Ali Rizvan 2013-09-12 03:12:02 EDT
Created attachment 796660 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2013-10-07 04:26:33 EDT
Tried to mount image
Comment 12 Anonymous 2013-10-26 09:11:57 EDT
Tried to mount iso image
Comment 13 Onuralp SEZER 2013-10-29 16:48:20 EDT
Tried to mount iso image +1
Comment 14 Mike Ruckman 2013-10-29 18:50:37 EDT
Same issue mounting iso.
Comment 15 Jared Smith 2013-11-23 11:55:39 EST
I was trying to burn an ISO disk image to a blank CD -- I right clicked on the ISO file in Nautilus, select "Open With -> Disk Imaging Tool", and saw that udisks2 crashed.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.11.7-300.fc20.x86_64
package:        udisks2-2.1.1-1.fc20
reason:         Process /usr/lib/udisks2/udisksd was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 16 Marek Goldmann 2013-12-12 10:10:27 EST
This issue still exists.
Comment 17 Fedora Blocker Bugs Application 2013-12-12 10:42:02 EST
Proposed as a Freeze Exception for 20-final by Fedora user ignatenkobrain using the blocker tracking app because:

 basic desktop usage.
Comment 18 Christian Stadelmann 2013-12-13 07:50:20 EST
same here, happend on mounting a .img file (image of a flash device generated by gnome-disks 3.10.0) from nautilus 3.10.1
Comment 19 Zeeshan Ali 2013-12-17 14:41:26 EST
(In reply to Mike Ruckman from comment #14)
> Same issue mounting iso.

Same here.
Comment 20 Milan Bouchet-Valat 2013-12-21 14:36:13 EST
Another user experienced a similar problem:

Happens when trying to mount a LiveCD F20 ISO image.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.11.10-301.fc20.x86_64
package:        udisks2-2.1.1-1.fc20
reason:         udisksd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 21 Cristian Ciupitu 2013-12-21 18:00:26 EST
I double clicked on an ISO file in nautilus.
Comment 22 Pratyush Sahay 2013-12-22 04:47:41 EST
Another user experienced a similar problem:

Tried to open a *.img recovery file of Android 4.4.2 to see its contents from the right-click menu of Nautilus, when this crash happened.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.12.5-302.fc20.i686
package:        udisks2-2.1.1-1.fc20
reason:         udisksd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 23 Jalal Ahmed 2014-01-01 04:00:52 EST
Another user experienced a similar problem:

I use fedora 20 64.
It happended when I try to mount an ISO image file 'image.iso' in dolphin, I'm using KDE.
The message is 
Error attaching disk image: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) (g-dbus-error-quark, 4)
In Fedora 19, there was no problem to mount an iso image file.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib/udisks2/udisksd --no-debug
crash_function: g_dbus_object_get_interface
executable:     /usr/lib/udisks2/udisksd
kernel:         3.12.5-302.fc20.x86_64
package:        udisks2-2.1.1-1.fc20
reason:         udisksd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 24 Jalal Ahmed 2014-01-02 01:07:26 EST
This problem is existed in Thunar as will.
I can mount the iso file with 'mount' without issues, but the problem is with GUI.
Comment 25 Asif Ali Rizvan 2014-01-03 14:24:42 EST
we can use 'cdemu' to mount in the mean time or "fuseiso file.iso ~/cdrom" also work.

http://software.opensuse.org/download.html?project=home%3AKenzy%3Apackages&package=cdemu-client
Comment 26 Jalal Ahmed 2014-01-03 20:25:14 EST
Yes Asif, there is no problem with mount ISO files from CLI, we can use
mount -t iso9660 -o loop /path/to/file.iso /mnt/iso
But I looking for solution to fix the problem with GUI.
Comment 27 code 2014-01-05 09:11:24 EST
Same as Cristian Ciupitu, “I double clicked on an ISO file in nautilus.” I also got an error popup from the disk image mounter, “Error attaching disk image: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus) (g-dbus-error-quark, 4)”
Comment 28 Mikhail 2014-01-08 21:05:19 EST
Occurs When I double clicked on an ISO file in nautilus too.
Comment 29 Bastien Nocera 2014-01-10 08:09:40 EST
If you launch gnome-disk-utility ("Disks") after the crash, the requested ISO mount will show up.
Comment 30 rjr162 2014-01-10 12:35:46 EST
When I used Archive Manager to mount the ISO it appeared and worked fine, but when I try to use the 'Disk Image Mounter' it crashes crashes
Comment 31 Tomáš Bžatek 2014-01-13 10:35:21 EST
*** Bug 903858 has been marked as a duplicate of this bug. ***
Comment 32 Tomáš Bžatek 2014-01-13 10:56:08 EST
*** Bug 1047571 has been marked as a duplicate of this bug. ***
Comment 33 Fedora Update System 2014-01-15 11:11:44 EST
udisks2-2.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/udisks2-2.1.2-1.fc20
Comment 34 Fedora Update System 2014-01-15 11:12:56 EST
udisks2-2.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/udisks2-2.1.2-1.fc19
Comment 35 Asif Ali Rizvan 2014-01-15 11:20:28 EST
http://koji.fedoraproject.org/koji/buildinfo?buildID=491278

installed udisk2 and libudisk2 rpms for fedora x86_64 

fixed in fedora 20; thanks.
Comment 36 Fedora Update System 2014-01-16 01:56:58 EST
Package udisks2-2.1.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing udisks2-2.1.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0872/udisks2-2.1.2-1.fc19
then log in and leave karma (feedback).
Comment 37 Frank Büttner 2014-01-16 14:00:46 EST
works for F19
Comment 38 Andrew 2014-01-17 19:51:18 EST
Not fixed for fc19. I'm running multiple DVD drives, and NIC booting + multipathd, so there are a *lot* of listed devices, when I try and mount an image from the file browser application ... babahhh ... udisks2-2.1.0-2.fc19 crashes (consistently).

More info. System is fully updated as of yesterday. Running the cinnamon desktop.
Comment 39 Andrew 2014-01-17 20:04:52 EST
(In reply to Andrew from comment #38)
> Not fixed for fc19. I'm running multiple DVD drives, and NIC booting +
> multipathd, so there are a *lot* of listed devices, when I try and mount an
> image from the file browser application ... babahhh ... udisks2-2.1.0-2.fc19
> crashes (consistently).
> 
> More info. System is fully updated as of yesterday. Running the cinnamon
> desktop.

Actually I should read the previous comments more carefully ...

As stated in #comment 36
# su -c 'yum update --enablerepo=updates-testing udisks2-2.1.2-1.fc19'

plus a reboot seems to have fixed the problem ....
Ciao, Andrew.
Comment 40 Fedora Update System 2014-01-17 23:27:41 EST
udisks2-2.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2014-01-30 23:30:17 EST
udisks2-2.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.